/* -*- Mode: C++; indent-tabs-mode: nil; tab-width: 4 -*-
 * -*- coding: utf-8 -*-
 *
 * Copyright (C) 2025 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef IDEVICEMANAGERITEM_H
#define IDEVICEMANAGERITEM_H

#include <QWidget>

#include "ISwitchButtonItem.h"

class IDeviceManagerItem
{
public:
    IDeviceManagerItem() = default;
    virtual ~IDeviceManagerItem() = default;

public:
    virtual bool isChecked() const = 0;

    virtual void setChecked(bool) = 0;

    virtual QWidget* getWidget() = 0;

    virtual std::shared_ptr<ISwitchButton> getSwitchBtn() const = 0;

    virtual QVariant getData() const = 0;
};

#endif // IDEVICEMANAGERITEM_H
